#!/bin/bash
#
#       PK232 init file		version	1.0
#	in this script not all possible parameters are listet.
#	the PK232 is connectet to the first serial port, ( ttyS0 )

#	i use PK232 in terminal mode with "minicom", telefon modem software
#	
#	(my first shellscript - simple, stupid and proberbly bugy)
#

#	Switching the PK232's ECHO OFF to beutify the output 
echo -e "echo off\n \r" 1> /dev/ttyS0
#
sleep 1
#       setting DATE & TIME from PC clock in UTC
date -u "+daytime %y,%m,%d,%H,%M %n" > /dev/ttyS0
#       enter the last command
echo -e "\n \r" 1> /dev/ttyS0
#

#	---------------
#	 AMTOR SECTION
#	---------------
#
#
#echo -e "\n \r" 1> /dev/ttyS0
#

#       AMTOR SELCAL	put in your SELCAL here
echo -e "myselcal dxav\n \r" 1> /dev/ttyS0
#
#
#       AMTOR ALTERNATIV SELECALL	(put your ALTSEL here)
echo -e "myalt dlav\n \r" 1> /dev/ttyS0
#
#
#echo -e "\n \r" 1> /dev/ttyS0
#

#
#       AMTOR Auto Answer Back  string (can be used to log in a mailbox)
#       (maximum of 17 characters)
echo -e "aab DL4XAV +?\n \r" 1> /dev/ttyS0
#

#	set	ADEDAY to 1 = 10msec. (1-9 = 10-90 msec.)		
#		(10 msec. is good for kenwood TS-50)
echo -e "adelay 1\n \r" 1> /dev/ttyS0
#

#echo -e "\n \r" 1> /dev/ttyS0
#

#	----------------
#	 BAUDOT SECTION
#	----------------
#
#
#       set opmode to BAUDOT	
echo -e "baudot\n \r" 1> /dev/ttyS0
#
#       set     RX REVERSE ON because we are operating LSB
echo -e "rxr on\n \r" 1> /dev/ttyS0
#
#       set     TX REVERSE ON because we are operating LSB
echo -e "txr on\n \r" 1> /dev/ttyS0
#
#	set SHIFT to	200 Hz	
echo -e "wid off\n \r" 1> /dev/ttyS0
#
#	set SHIFT to	1000 Hz	
#echo -e "wid on\n \r" 1> /dev/ttyS0
#

#	possible HF BAUDRATES	45, 50, 57, 75, 100, 110, 150, 200 and 300 BAUD
# 
#	we are operating RTTY with 45 Baud
#echo -e "rbaud 45\n \r" 1> /dev/ttyS0
#
#	we are operating RTTY with 50 Baud
echo -e "rbaud 50\n \r" 1> /dev/ttyS0
#

#
#	enter
#echo -e "\n \r" 1> /dev/ttyS0
#

#	----------------
#	 PACKET SECTION	
#	----------------
#
#
#	set CALLSIGN
echo -e "mycall dl4xav\n \r" 1> /dev/ttyS0
#

#
#	set beacon intervall	(0 = off)
echo -e "beacon every 0\n \r" 1> /dev/ttyS0
#
#	define beacon text (max. 120 characters)
echo -e "btext JO43XN DL4XAV DXAV\n \r" 1> /dev/ttyS0
#
#	Connect bell (on/off)
echo -e "cbell on\n \r" 1> /dev/ttyS0
#
#	Connect text if tnc is not connectet to host computer 
echo -e "ctext DL4XAV, Volker, Linux & PK232 <CTRL-V> <CR> Leave your message, than DISCONNECT <CR>\n \r" 1> /dev/ttyS0
#
#	CONNECT TEXT	(on/off)
echo -e "cmsg on\n \r" 1> /dev/ttyS0
#
#	MONITOR LEVEL	(1 - 6)
echo -e "monitor 4\n \r" 1> /dev/ttyS0
#
#	monitored frames are timestampt or not (on/off)
echo -e "mstamp on\n \r" 1> /dev/ttyS0
#
#	numbers of retries (0 - 15)
#	using TRIES under bad HF condx automatically optimizes the
#	PACKLEN and MAXFRAME parameter
echo -e "tries 10\n \r" 1> /dev/ttyS0
#
#	DELAY between PTT and start sending packet frame AUDIO
#	(0 - 120 = 0 - 1200 msec.)
#	(10 msec. is ok with TS-50)
echo -e "txdelay 1\n \r" 1> /dev/ttyS0
#
#	number of external connectet stations
#	(0 - 10) 0 = allows connect on any free channel
echo -e "users 0\n \r" 1> /dev/ttyS0
#

#
#	-----------------
#	 GENERAL SECTION
#	-----------------
#
#	on = XON/XOFF software flow control
#	off= XON/XOFF hardware flow control
echo -e "xflow\n \r" 1> /dev/ttyS0
#

#
#	on = software flow control on (in transparent mode)
#	off= no software flow control
echo -e "trflow off\n \r" 1> /dev/ttyS0
#
#	--------------------------------------------------------------------
#	 Now selecting finaly the OPERATION MODE
#	 possible MODES: AMTOR, ALIST, ASCCI, BAUDOT, MORSE, PACKET, SIGNAL
#	--------------------------------------------------------------------
#
#
#
#-------------------------------------
# OPMODE = AMTOR / AMTOR LISTEN / FEC
#-------------------------------------
#
#	shuold be AMTOR, ALIST  !! not FEC or ARQ !!
echo -e "amtor\n \r" 1> /dev/ttyS0
#

#	set	RX REVERSE off because we are operating AMTOR in LSB
echo -e "rxr off\n \r" 1> /dev/ttyS0
#

#       set     TX REVERSE off because we are operating AMTOR in LSB
echo -e "txr off\n \r" 1> /dev/ttyS0
#
#
#
#-----------------
# OPMODE = BAUDOT
#-----------------
#
#echo -e "baudot\n \r" 1> /dev/ttyS0

#
#	set	RX REVERSE on because we are operating LSB
#echo -e "rxr on\n \r" 1> /dev/ttyS0
#

#       set     TX REVERSE on because we are operating LSB
#echo -e "txr on\n \r" 1> /dev/ttyS0
#
#
#

#---------------
# OPMODE PACKET
#---------------
#	VHF PACKET
#	set shift to 1000 hz
#echo -e "vhf on\n \r" 1> /dev/ttyS0
#

#
#	HF PACKET
#	set shift to 200 hz
echo -e "vhf off\n \r" 1> /dev/ttyS0
#

#	possible HF BAUDRATES	45, 50, 57, 75, 100, 110, 150, 200,
#				300, 600, 1200, 2400, 4800, 9600 Bps 
#
#	VHF PACKET
#	set HF BAUD to 1200 bps
#echo -e "hbaud 1200\n \r" 1> /dev/ttyS0
#
#	HF PACKET
#	set HF BAUD to 300 bps
echo -e "hbaud 300\n \r" 1> /dev/ttyS0
#
#	set PACKET MODE
#echo -e "packet\n \r" 1> /dev/ttyS0
#

#
#	displaying operation mode again just to see whats up
echo -e "opmode\n \r" 1> /dev/ttyS0
#

#	-------------
#	 END SECTION
#	-------------
#	display som parameters
echo -e "disp i\n \r" 1> /dev/ttyS0

#	!!	ECHO ON should be the last command in this script	!!
#	Switching the PK232's ECHO ON again to return to normal terminal mode 
echo -e "echo on\n \r" 1> /dev/ttyS0
#
#	END